# OgreAnimable.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreVector4.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringVector.h"`
`#include "OgreException.h"`
`#include "OgreAny.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< AnimableValue > | AnimableValuePtr

## Typedef Documentation

typedef SharedPtr<AnimableValue> Ogre::AnimableValuePtr

| Definition at line 224 of file OgreAnimable.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009